Bug 890902 - (CVE-2012-6081) CVE-2012-6081 moinmoin: remote code execution vulnerability
CVE-2012-6081 moinmoin: remote code execution vulnerability
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20121229,repo...
: Security
Depends On: 890906 890907
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-30 23:14 EST by Huzaifa S. Sidhpurwala
Modified: 2015-08-24 12:06 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-24 12:06:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2012-12-30 23:14:09 EST
A  remote code execution vulnerability was found in MoinMoin wiki, versions 1.9.x up to (and including) 1.9.5. The method save in class
AnyWikiDraw (action/anywikidraw.py) and class TWikiDraw (action/twikidraw.py) do not filter user supplied input correctly, which leads to a path traversal vulnerability, which can be exploited to execute arbitrary code with moin's privileges. An exploit was seen in the wild.

Details can be found at: http://moinmo.in/SecurityFixes

A fix is available at: http://hg.moinmo.in/moin/1.9/rev/7e7e1cbb9d3f 

Reference:
http://seclists.org/oss-sec/2012/q4/522

This issue has been assigned CVE-2012-6081
Comment 1 Huzaifa S. Sidhpurwala 2012-12-30 23:26:35 EST
Created moin tracking bugs for this issue

Affects: fedora-all [bug 890906]
Affects: epel-5 [bug 890907]
Comment 3 Fedora Update System 2013-01-19 21:56:00 EST
moin-1.9.6-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2013-01-22 20:38:33 EST
moin-1.9.6-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2013-01-22 21:00:00 EST
moin-1.9.6-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.